glab(1)

NAME
glab-work-items-delete - Delete a work item in a project or group. (EXPERIMENTAL)

SYNOPSIS
glab work-items delete [flags]

DESCRIPTION
Delete a work item by its internal ID (IID). This action cannot be undone.

The command behavior depends on context:

•   By default, deletes from the current repository's project.

•   With --group, deletes from the specified group.

•   With --repo, deletes from the specified project.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-g, --group=""
    Delete a work items from a group or subgroup.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Delete a work item by IID from the current project
    glab work-items delete 42
    # Delete a group work item
    glab work-items delete 42 --group my-group

SEE ALSO
glab-work-items(1)